#ifndef __NLL_POSITION_H_INCLUDED__
#define __NLL_POSITION_H_INCLUDED__

typedef enum {
  POSITION_TYPE_NONE = 0,
  POSITION_TYPE_FOR,
  POSITION_TYPE_GOSUB,
} position_type_t;

struct position {
  position_type_t type;
  struct spot spot;
};

int position_init(void);
int position_push(position_type_t type, spot_t spot);
int position_pop(position_type_t type, spot_t spot);
int position_get(spot_t spot, position_t *positionp);
int position_set(spot_t spot, position_t position);
int position_clear(position_t position);

#endif
